View Issue Details

IDProjectCategoryLast Update
0020988AI War 2[All Projects] Crash/ExceptionMar 8, 2019 11:41 am
ReporterOvalcircleAssigned To 
Severityminor 
Status newResolutionopen 
Product Version0.816 Aggressive Busting and Stacking 
Fixed in Version 
Summary0020988: Nanocaust error, but Nanocaust was not enabled
DescriptionDevourer and Trader enabled. 10 planet spiral. I fast forwarded 10x and around the 45 second mark I hit the error.

Edit: This happens consistently in the save.

3/7/2019 8:48:48 PM
Nanocaust.findHumanKing: No human king found, but game has not been won! At least one Sim-Step has happened since the King died

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0
  at Arcen.AIW2.External.BadgerFactionUtilityMethods.findHumanKing () [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0
  at Arcen.AIW2.External.SpecialFaction_Instigators.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0
  at Arcen.AIW2.External.BaseSpecialFaction.DoLongRangePlanning_OnBackgroundNonSimThread (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ILongRangePlanningContext Context) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0
TagsNo tags attached.

Activities

Ovalcircle

Mar 7, 2019 8:52 pm

reporter  

ArcenDebugLog.txt (13,149 bytes)
3/7/2019 1:22:05 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
3/7/2019 1:22:06 PM	No resolution change was required.
3/7/2019 1:22:06 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/7/2019 1:22:06 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
3/7/2019 1:22:47 PM	ArcenAssetBundleCache.InstantiatedObjects: 783
3/7/2019 1:22:50 PM	Game Version: 0.816
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
3/7/2019 1:22:50 PM	46.0 seconds total load time.

SetDirectoriesToBeUsed (0.6s)
Language.Initialize (0.6s)
ExternalCoreConstants (1.8s)
LoadFinalSFXStuff (9.6s)
ExternalIconDictionaryTable (0.3s)
ArcenUIPrefabTable (0.4s)
ArcenUI.Instance.InitializeOnceOnly (0.3s)
InputActionTypeDataTable (0.5s)
ExternalConstants (0.6s)
PresentationLayer.LoadVisualConstants_Late (0.5s)
EntityLineTypeTable (0.3s)
SpaceboxDefinitionTable (0.3s)
PlanetDefinitionTable (0.8s)
GameEntityTypeDataTable.Initialize (1.8s)
GameEntityTypeDataTable.InitVisualBits (19.5s)
SurrogateTableTable (3.9s)
3/7/2019 1:23:06 PM
Hello Steam user 'Ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 1:23:10 PM	Generate Map with type X and seed 503472857
3/7/2019 1:23:10 PM	World Created, Launching Server
3/7/2019 1:23:11 PM	Successfully opened host socket
3/7/2019 1:23:38 PM	PLAYER DISCONNECTED 0.0.0.0=>0
3/7/2019 8:43:26 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
3/7/2019 8:43:29 PM	No resolution change was required.
3/7/2019 8:43:29 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/7/2019 8:43:29 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
3/7/2019 8:44:23 PM	ArcenAssetBundleCache.InstantiatedObjects: 783
3/7/2019 8:44:24 PM	Game Version: 0.816
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
3/7/2019 8:44:24 PM	58.5 seconds total load time.

SetDirectoriesToBeUsed (0.7s)
Language.Initialize (2.3s)
ExternalCoreConstants (0.3s)
LoadFinalSFXStuff (13.5s)
ExternalIconDictionaryTable (1.4s)
ArcenUIPrefabTable (2.2s)
ArcenUI.Instance.InitializeOnceOnly (0.3s)
InputActionTypeDataTable (0.5s)
PresentationLayer.LoadVisualConstants_Late (0.3s)
GameSpeedTypeTable (0.3s)
SpaceboxDefinitionTable (1.2s)
PlanetDefinitionTable (4.5s)
GameEntityTypeDataTable.Initialize (5.0s)
GameEntityTypeDataTable.InitVisualBits (21.0s)
SurrogateTableTable (1.5s)
3/7/2019 8:44:26 PM
Hello Steam user 'Ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 8:44:58 PM	Generate Map with type X and seed 503472857
3/7/2019 8:44:58 PM	World Created, Launching Server
3/7/2019 8:44:58 PM	Successfully opened host socket
3/7/2019 8:45:16 PM	Generate Map with type X and seed 503472857
3/7/2019 8:45:16 PM	Generate Map Complete
3/7/2019 8:45:18 PM	Generate Map with type X and seed 503472857
3/7/2019 8:45:18 PM	Generate Map Complete
3/7/2019 8:45:30 PM	PLAYER DISCONNECTED 0.0.0.0=>0
3/7/2019 8:46:21 PM	Current directory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/
Process Count = 0 so PlayerDataDirectory used: C:/Program Files (x86)/Steam/steamapps/common/AI War 2/PlayerData/
3/7/2019 8:46:21 PM	No resolution change was required.
3/7/2019 8:46:21 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
3/7/2019 8:46:21 PM	Applied Framerate Type: 30 FPS (vsync: 0 targetFPS:30)
3/7/2019 8:46:41 PM	ArcenAssetBundleCache.InstantiatedObjects: 783
3/7/2019 8:46:42 PM	Game Version: 0.816
graphicsDeviceType in use: Direct3D11
graphicsDeviceVersion in use: Direct3D 11.0 [level 11.0]
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Windows 8.1  (6.3.0) 64bit
graphicsDeviceName: Intel(R) HD Graphics 4000
graphicsDeviceID: 358
graphicsDeviceVendor: Intel
graphicsDeviceVendorID: 32902
graphicsDeviceVersion: Direct3D 11.0 [level 11.0]
graphicsMemorySize: 912
maxTextureSize: 16384
npotSupport: Full
processorType: Intel(R) Core(TM) i5-3230M CPU @ 2.60GHz
processorCount: 4
processorFrequency: 2594
systemMemorySize: 8081
supportsImageEffects: True
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: True
3/7/2019 8:46:42 PM	22.0 seconds total load time.

SetDirectoriesToBeUsed (0.7s)
LoadFinalSFXStuff (10.1s)
ExternalIconDictionaryTable (0.3s)
ArcenUIPrefabTable (0.4s)
PlanetDefinitionTable (0.7s)
GameEntityTypeDataTable.Initialize (0.9s)
GameEntityTypeDataTable.InitVisualBits (4.1s)
SurrogateTableTable (1.0s)
3/7/2019 8:46:42 PM
Hello Steam user 'Ovalcircle'

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at ArcenGameController.Update () [0x00000] in <2e2dcd579b104a688d65707e5c206ad7>:0 

3/7/2019 8:47:03 PM	Generate Map with type X and seed 503472857
3/7/2019 8:47:03 PM	World Created, Launching Server
3/7/2019 8:47:04 PM	Successfully opened host socket
3/7/2019 8:47:05 PM	Generate Map with type X and seed 503472857
3/7/2019 8:47:05 PM	Generate Map Complete
3/7/2019 8:47:12 PM	Generate Map with type Tutorial and seed 503472857
3/7/2019 8:47:12 PM	Welcome to the test generator

3/7/2019 8:47:12 PM	populate PlanetPoints list

3/7/2019 8:47:12 PM	I have created my points, now let's make the planets

3/7/2019 8:47:12 PM	Adding planet 0 at location 0,100

3/7/2019 8:47:12 PM	Adding planet 1 at location 500,0

3/7/2019 8:47:12 PM	Adding planet 2 at location 600,100

3/7/2019 8:47:12 PM	Adding planet 3 at location -100,-100

3/7/2019 8:47:12 PM	Adding planet 4 at location 0,-600

3/7/2019 8:47:12 PM	My galaxy has 6 planets. Return now

3/7/2019 8:47:12 PM	Generate Map Complete
3/7/2019 8:47:29 PM	Generate Map with type Snake and seed 503472857
3/7/2019 8:47:30 PM	Generate Map Complete
3/7/2019 8:47:34 PM	Generate Map with type Snake and seed 503472857
3/7/2019 8:47:34 PM	Generate Map Complete
3/7/2019 8:47:39 PM	Generate Map with type Snake and seed 503472857
3/7/2019 8:47:39 PM	Generate Map Complete
3/7/2019 8:47:40 PM	Generate Map with type Snake and seed 503472857
3/7/2019 8:47:40 PM	Generate Map Complete
3/7/2019 8:47:43 PM	Generate Map with type Snake and seed 503472857
3/7/2019 8:47:43 PM	Generate Map Complete
3/7/2019 8:47:51 PM	Generate Map with type Snake and seed 503472857
3/7/2019 8:47:51 PM	Generate Map Complete
3/7/2019 8:47:55 PM	Generate Map with type Snake and seed 503472857
3/7/2019 8:47:55 PM	Generate Map Complete
3/7/2019 8:48:48 PM
Nanocaust.findHumanKing: No human king found, but game has not been won! At least one Sim-Step has happened since the King died

  at System.Environment.get_StackTrace () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0d416be7a59e4abd8ea347e12f86a620>:0 
  at Arcen.AIW2.External.BadgerFactionUtilityMethods.findHumanKing () [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.External.SpecialFaction_Instigators.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.External.BaseSpecialFaction.DoLongRangePlanning_OnBackgroundNonSimThread (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.Core.ILongRangePlanningContext Context) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.External.SpecialFactionPlanning.Execute () [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0 
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <f826c2584fc94ec19a48a6576640bdc5>:0 

3/7/2019 8:49:00 PM	PLAYER DISCONNECTED 0.0.0.0=>0
ArcenDebugLog.txt (13,149 bytes)
Start.save (120,933 bytes)
20190307204853_1.jpg (225,064 bytes)
20190307204853_1.jpg (225,064 bytes)
Start.savemet (59 bytes)

BadgerBadger

Mar 8, 2019 12:03 am

manager   ~0050928

Technically this is the Instigators using shared code with the Nanocaust:
   at Arcen.AIW2.External.BadgerFactionUtilityMethods.findHumanKing () [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0
  at Arcen.AIW2.External.SpecialFaction_Instigators.DoLongRangePlanning_OnBackgroundNonSimThread_Subclass (Arcen.AIW2.Core.Faction faction, Arcen.AIW2.External.ArcenLongTermIntermittentPlanningContext Context) [0x00000] in <55e5f0c4133b4c4088ada74d014fbc2f>:0

But yes, the error message can be improved, and I need to figure out why this error is happening

BadgerBadger

Mar 8, 2019 11:04 am

manager   ~0050945

When I loaded this save game the player has no structures or units. Had you already died at this point? Errors like this after the game is over are of low priority. And if you had already died that might have been reported in the defect writeup :-P

Ovalcircle

Mar 8, 2019 11:41 am

reporter   ~0050946

No I was alive.

Issue History

Date Modified Username Field Change
Mar 7, 2019 8:52 pm Ovalcircle New Issue
Mar 7, 2019 8:52 pm Ovalcircle File Added: ArcenDebugLog.txt
Mar 7, 2019 8:52 pm Ovalcircle File Added: Start.savemet
Mar 7, 2019 8:52 pm Ovalcircle File Added: Start.save
Mar 7, 2019 8:52 pm Ovalcircle File Added: 20190307204853_1.jpg
Mar 7, 2019 8:57 pm Ovalcircle Description Updated View Revisions
Mar 8, 2019 12:03 am BadgerBadger Note Added: 0050928
Mar 8, 2019 11:04 am BadgerBadger Note Added: 0050945
Mar 8, 2019 11:41 am Ovalcircle Note Added: 0050946